### robocode

# Class KeyReleasedEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.KeyEvent`
    - - `robocode.KeyReleasedEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class KeyReleasedEvent`
`extends KeyEvent`

A KeyReleasedEvent is sent to `onKeyReleased()` when a key has been released on the keyboard.

Author:
  Pavel Savara (original)

Since:
  1.6.1

See Also:
  `KeyPressedEvent`, `KeyTypedEvent`

  ## Constructor Summary

  `KeyReleasedEvent(KeyEvent source)`
    Called by the game to create a new KeyReleasedEvent.

  ## Method Summary

  ### Methods inherited from class robocode.KeyEvent

  `getSourceEvent`

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### KeyReleasedEvent

    public KeyReleasedEvent(KeyEvent source)

> Called by the game to create a new KeyReleasedEvent.
> Parameters:
>   `source` - the source key event originating from the AWT.